Bug 730464 - RFE: improve #2 GDB performance on an application performing a lot of object loading - breakpoints re-set
Summary: RFE: improve #2 GDB performance on an application performing a lot of object ...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdb
Version: 7.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Keith Seitz
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On: 698001
Blocks: 1593423
TreeView+ depends on / blocked
 
Reported: 2011-08-13 09:18 UTC by Jan Kratochvil
Modified: 2019-06-05 19:27 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 698001
Environment:
Last Closed: 2019-06-05 19:27:16 UTC


Attachments (Terms of Use)

Comment 3 Brian Gollaher 2012-11-05 16:49:40 UTC
Planned for inclusion in RHEL7.

Comment 5 RHEL Product and Program Management 2013-05-09 16:56:35 UTC
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Comment 8 Gary Benson 2014-10-03 09:30:18 UTC
This all went in with:

  commit f9e148520a52325c43e325984cd1cfea952b8ad8
  Author: Gary Benson <gary@redhat.com>
  Date:   Tue Jun 4 13:17:06 2013 +0000

grep for "enum probe_action" in gdb/solib-svr4.c.  If it's there the speedup patch is in GDB.  There is a glibc component too, see 
https://sourceware.org/gdb/wiki/LinkerInterface for details of how to check.

Comment 18 Travis Gummels 2018-11-14 17:37:16 UTC
Ben,

Is the requested feature something LLNL continues to desire?  If so should likely be targeted at DTS 8+.

Travis

Comment 19 Ben Woodard 2018-11-20 01:08:07 UTC
My understanding is most of this was addressed with some of the changes which went into DWARF4 and DWARF5 so that all the locations in the binary that could reference a particular line number are more easy to enumerated. This is a bigger issue with C++ codes and that is where things like this showed up.

Comment 20 Jan Kratochvil 2018-11-21 15:38:41 UTC
This has never been a problem with DWARF, it is a problem with internal GDB data structures and their processing. And GDB performance has not changed in this respect.

Comment 23 David Smith 2019-06-05 19:27:16 UTC
'm going to close this one. At this point in RHEL7's life cycle, new features aren't really allowed (without strong business justification). Plus, this work still hasn't made it upstream.


Note You need to log in before you can comment on or make changes to this bug.